using System.Diagnostics;
using System.Windows;
using System.Windows.Documents;
using System.Windows.Input;

namespace Zerolauncher.AboutDialog
{
    /// <summary>
    /// About1.xaml 的交互逻辑
    /// </summary>
    public partial class About1 : Window
    {
        public About1()
        {
            InitializeComponent();
        }

        private void Window_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            // 实现窗口的拖动
            DragMove();
        }

        private void Hyperlink_Click(object sender, RoutedEventArgs e)
        {
            Process.Start(new ProcessStartInfo("https://www.52pojie.cn/home.php?mod=space&uid=1235138") { UseShellExecute = true });
        }

        private void Hyperlink_Click_1(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("已拷贝到粘贴板", "提示");
            Clipboard.SetDataObject("ddfgame@foxmail.com", true);
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }
}
